rte_mbuf_dynfield(3)

NAME
rte_mbuf_dynfield

SYNOPSIS

#include <rte_mbuf_dyn.h>

  Data Fields

char name [RTE_MBUF_DYN_NAMESIZE]
size_t size
size_t align
unsigned int flags

Detailed Description

Structure describing the parameters of a mbuf dynamic field.

Definition at line 86 of file rte_mbuf_dyn.h.

Field Documentation

  char name[RTE_MBUF_DYN_NAMESIZE]
Name of the field.

Definition at line 87 of file rte_mbuf_dyn.h.

  size_t size
The number of bytes to reserve.

Definition at line 88 of file rte_mbuf_dyn.h.

  size_t align
The alignment constraint (power of 2).

Definition at line 89 of file rte_mbuf_dyn.h.

  unsigned int flags
Reserved for future use, must be 0.

Definition at line 90 of file rte_mbuf_dyn.h.

Author

Generated automatically by Doxygen for DPDK from the source code.